Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version:  

Description

Hi,

I noticed that the attachment content type is not set when uploading an attachment. Do you also experience this behaviour?

I think this is caused by setting the file contents before setting the file name. (The content type is determined by the file name).

I have attached a patch (from my personal Git repo) which resolves this problem.

Regards,

Thomas

Associated revisions

Revision 13787 - 2014-12-21 22:02 - Jean-Philippe Lang

Attachment content type not set when uploading attachment (#18667).

Revision 13803 - 2014-12-26 11:46 - Jean-Philippe Lang

Merged r13787 (#18667).

Revision 13810 - 2014-12-26 12:46 - Jean-Philippe Lang

Fixed order syntax for Rails 3 (#18667).

History

#1 - 2014-12-21 22:03 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.1

- Resolution set to Fixed

Fixed in r13787, thanks for reporting this. The fix was done at model level instead.

#2 - 2014-12-26 11:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

set_attachment_content_type_on_upload.patch 755 Bytes 2014-12-17 Thomas Löber
